Bug 1023399 - default_floating_pool not configured
default_floating_pool not configured
Product: RDO
Classification: Community
Component: openstack-puppet-modules (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Martin Magr
Ami Jeain
: 1036141 (view as bug list)
Depends On:
Blocks: 1025248
  Show dependency treegraph
Reported: 2013-10-25 06:59 EDT by Attila Fazekas
Modified: 2015-03-18 16:07 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1025248 (view as bug list)
Last Closed: 2015-03-18 16:07:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Attila Fazekas 2013-10-25 06:59:12 EDT
Description of problem:
does not configures the 'default_floating_pool'.

How reproducible:
$ packstack --allinone 
$ nova boot server --flavor 1 --image 2f24b030-46bd-4667-8559-df7b684e9099
$ nova floating-ip-create 
ERROR: FloatingIpPoolNotFound: Floating ip pool not found. (HTTP 404) (Request-ID: req-4a97bf53-a878-4d6c-913e-14915dd087a0)
$ nova floating-ip-pool-list 
| name   |
| public |

Actual results:
 Floating IP creation failing if the pool does not specified explicitly.

Expected results:
 Floating IP allocated from the default (public) pool.

Additional info:

openstack-config --set /etc/nova/nova.conf DEFAULT default_floating_pool public
service openstack-nova-api restart
Comment 1 Jakub Libosvar 2013-12-19 07:22:18 EST
*** Bug 1036141 has been marked as a duplicate of this bug. ***
Comment 3 Attila Fazekas 2014-10-03 09:01:15 EDT
I have enabled PROVISION_DEMO  and an external network created at install time which is named as 'public'.
This name is used in most of the documentation, but the nova.conf is not extended with the the expected 'default_floating_pool=public' option.
Comment 4 Lars Kellogg-Stedman 2015-03-18 16:07:16 EDT
Packstack now sets default_floating_pool in nova.conf:

$ rpm -q openstack-packstack
$ packstack --allinone
$ sudo grep default_floating_pool /etc/nova/nova.conf

Note You need to log in before you can comment on or make changes to this bug.